# $Revision: 1.16 $, $Date: 2004/12/11 00:18:56 $
Summary:	An OpenGL and SDL based action flight simulator
Summary(de):	Ein OpenGL- und SDL-basierter Flugsimulator
Summary(pl):	Zrcznociowy symulator lotu uywajcy OpenGL i SDL
Name:		gl-117
Version:	1.3.1
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
# Source0-md5:	c9bf8573ebb60fd77dc18de7eda006ec
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://home.t-online.de/home/Primetime./gl-117/gl-117.htm
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	glut-devel
BuildRequires:	libstdc++-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GL-117 is an OpenGL and SDL-based action flight simulator written in
C++. It provides a random terrain generator, lighting effects, sounds,
and joystick support. Predefined levels of video quality and an amount
of viewing ranges let you perfectly adjust the game to the performance
of your system.

%description -l de
GL-117 ist ein in C++ entwickelter, OpenGL- und SDL-basierter
Action-Flugsimulator. Neben per Zufall erzeugten Landschaften besticht
das Spiel durch Lichteffekte, Sound und Joystickuntersttzung. Anhand
vordefinierter Qualittsstufen lsst sich die Grafik optimal an die
Leistung des eigenen Systems anpassen.

%description -l pl
GL-117 jest zrcznociowym symulatorem lotu napisanym w C++,
wykorzystujcym biblioteki OpenGL i SDL. Posiada obsug joysticka,
dwik, losowo generowany teren, efekty wietlne. Predefiniowane
poziomy jakoci obrazu oraz szeroki zakres ustawie widocznoci
pozwalaj idealnie dopasowa gr do wydajnoci systemu.

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man6,%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install doc/*.6 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README doc/gl-117.pdf
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gl-117.spec,v $
Revision 1.16  2004/12/11 00:18:56  adamg
- updated to 1.3.1
- dropped gcc34.patch (already applied)

Revision 1.15  2004/09/03 00:01:42  grzegol
- added gcc34 patch

Revision 1.14  2004/06/16 22:31:49  grzegol
- updated to 1.3

Revision 1.13  2004/02/07 17:31:08  yogib
- updated to 1.2, removed ac/am stuff

Revision 1.12  2003/12/14 18:11:33  grzegol
- updated to 1.1

Revision 1.11  2003/10/22 09:01:48  adamg
- updated to 1.0.1

Revision 1.10  2003/08/23 20:43:45  grzegol
- updated to 1.0

Revision 1.9  2003/06/22 16:44:00  deejay1
- up to 0.9

Revision 1.8  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/20 12:57:22  qboosh
- removed BR textutils (required by rpm-build)

Revision 1.5  2003/05/03 08:46:53  deejay1
- changelog cosmetics

Revision 1.4  2003/05/02 18:32:13  deejay1
- s/%%{_datadir}\/applications/%%{_desktopdir}/

Revision 1.3  2003/05/01 11:55:53  deejay1
- Standarized, vfolders ready.

Revision 1.2  2003/05/01 09:26:57  kloczek
- finished PLDization,
- use DESTDIR style install,
- removed redundant Requires and BuildRequires,
- added missing libstdc++-devel to BuildRequires.

Revision 1.1  2003/05/01 09:10:59  kloczek
- spec by Piotr Pawow <pp@siedziba.pl>.
